﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EventsCalendar.aspx.cs" Inherits="C1Controls.EventsCalendar" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1EventsCalendar" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <cc1:C1EventsCalendar ID="C1EventsCalendar1" runat="server" >
                <DataStorage>
                    <EventStorage DataSourceID="SqlDataSource1">
                        <Mappings>
                            <IdMapping MappingName="AppointmentId" />			
				            <StartMapping MappingName="Start" />
				            <EndMapping MappingName="End" />
				            <SubjectMapping MappingName="Subject" />
				            <LocationMapping MappingName="Location" />
				            <DescriptionMapping MappingName="Description" />
				            <ColorMapping MappingName="Color" />
				            <CalendarMapping MappingName="Calendar" />
				            <TagMapping MappingName="Tag" />
                        </Mappings>
                    </EventStorage>
                    <CalendarStorage>
                        <Mappings>
                            <IdMapping MappingName="CalendarId" />
				            <LocationMapping MappingName="Location" />
				            <ColorMapping MappingName="Color" />
				            <DescriptionMapping MappingName="Description" />
				            <NameMapping MappingName="Name" />
				            <PropertiesMapping MappingName="Properties" />
				            <TagMapping MappingName="Tag" />
                        </Mappings>
                    </CalendarStorage>
                </DataStorage>
            </cc1:C1EventsCalendar>
            <br />
            <br />
          <asp:TextBox ID="FiltroAmm" runat="server" Visible="True" Text="Noida" />
           <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConflictDetection="CompareAllValues" 
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                DeleteCommand="DELETE FROM [Appointments] WHERE [AppointmentId] = ? AND (([Description] = ?) OR ([Description] IS NULL AND ? IS NULL)) AND (([End] = ?) OR ([End] IS NULL AND ? IS NULL)) AND (([Location] = ?) OR ([Location] IS NULL AND ? IS NULL)) AND (([Start] = ?) OR ([Start] IS NULL AND ? IS NULL)) AND (([Subject] = ?) OR ([Subject] IS NULL AND ? IS NULL)) AND (([Properties] = ?) OR ([Properties] IS NULL AND ? IS NULL)) AND (([Color] = ?) OR ([Color] IS NULL AND ? IS NULL)) AND (([Calendar] = ?) OR ([Calendar] IS NULL AND ? IS NULL)) AND (([Tag] = ?) OR ([Tag] IS NULL AND ? IS NULL))" 
                InsertCommand="INSERT INTO [Appointments] ([AppointmentId], [Description], [End], [Location], [Start], [Subject], [Properties], 
                [Color], [Calendar], [Tag]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)" OldValuesParameterFormatString="original_{0}" ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" 
                UpdateCommand="UPDATE [Appointments] SET [Description] = ?, [End] = ?, [Location] = ?, [Start] = ?, [Subject] = ?, [Properties] = ?, [Color] = ?, [Calendar] = ?, [Tag] = ? WHERE [AppointmentId] = ? AND (([Description] = ?) OR ([Description] IS NULL AND ? IS NULL)) AND (([End] = ?) OR ([End] IS NULL AND ? IS NULL)) AND (([Location] = ?) OR ([Location] IS NULL AND ? IS NULL)) AND (([Start] = ?) OR ([Start] IS NULL AND ? IS NULL)) AND (([Subject] = ?) OR ([Subject] IS NULL AND ? IS NULL)) AND (([Properties] = ?) OR ([Properties] IS NULL AND ? IS NULL)) AND (([Color] = ?) OR ([Color] IS NULL AND ? IS NULL)) AND (([Calendar] = ?) OR ([Calendar] IS NULL AND ? IS NULL)) AND (([Tag] = ?) OR ([Tag] IS NULL AND ? IS NULL))"
                SelectCommand="SELECT * FROM [Appointments] where Location=@Location" >
            <SelectParameters>
                <asp:ControlParameter ControlID="FiltroAmm" Name="Location"
                    PropertyName="Text" />
            </SelectParameters>
                <DeleteParameters>
                    <asp:Parameter Name="original_AppointmentId" Type="Object" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_End" Type="DateTime" />
                    <asp:Parameter Name="original_End" Type="DateTime" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Start" Type="DateTime" />
                    <asp:Parameter Name="original_Start" Type="DateTime" />
                    <asp:Parameter Name="original_Subject" Type="String" />
                    <asp:Parameter Name="original_Subject" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Calendar" Type="String" />
                    <asp:Parameter Name="original_Calendar" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="AppointmentId" Type="Object" />
                    <asp:Parameter Name="Description" Type="String" />
                    <asp:Parameter Name="End" Type="DateTime" />
                    <asp:Parameter Name="Location" Type="String" />
                    <asp:Parameter Name="Start" Type="DateTime" />
                    <asp:Parameter Name="Subject" Type="String" />
                    <asp:Parameter Name="Properties" Type="String" />
                    <asp:Parameter Name="Color" Type="String" />
                    <asp:Parameter Name="Calendar" Type="String" />
                    <asp:Parameter Name="Tag" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="Description" Type="String" />
                    <asp:Parameter Name="End" Type="DateTime" />
                    <asp:Parameter Name="Location" Type="String" />
                    <asp:Parameter Name="Start" Type="DateTime" />
                    <asp:Parameter Name="Subject" Type="String" />
                    <asp:Parameter Name="Properties" Type="String" />
                    <asp:Parameter Name="Color" Type="String" />
                    <asp:Parameter Name="Calendar" Type="String" />
                    <asp:Parameter Name="Tag" Type="String" />
                    <asp:Parameter Name="original_AppointmentId" Type="Object" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_End" Type="DateTime" />
                    <asp:Parameter Name="original_End" Type="DateTime" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Start" Type="DateTime" />
                    <asp:Parameter Name="original_Start" Type="DateTime" />
                    <asp:Parameter Name="original_Subject" Type="String" />
                    <asp:Parameter Name="original_Subject" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Calendar" Type="String" />
                    <asp:Parameter Name="original_Calendar" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                </UpdateParameters>
            </asp:SqlDataSource>
            <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConflictDetection="CompareAllValues" ConnectionString="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\TrackerEvents.mdb;Persist Security Info=True" DeleteCommand="DELETE FROM [Calendars] WHERE [CalendarId] = ? AND (([Name] = ?) OR ([Name] IS NULL AND ? IS NULL)) AND (([Description] = ?) OR ([Description] IS NULL AND ? IS NULL)) AND (([Color] = ?) OR ([Color] IS NULL AND ? IS NULL)) AND (([Tag] = ?) OR ([Tag] IS NULL AND ? IS NULL)) AND (([Location] = ?) OR ([Location] IS NULL AND ? IS NULL)) AND (([Properties] = ?) OR ([Properties] IS NULL AND ? IS NULL))" InsertCommand="INSERT INTO [Calendars] ([CalendarId], [Name], [Description], [Color], [Tag], [Location], [Properties]) VALUES (?, ?, ?, ?, ?, ?, ?)" OldValuesParameterFormatString="original_{0}" ProviderName="System.Data.OleDb" SelectCommand="SELECT * FROM [Calendars]" UpdateCommand="UPDATE [Calendars] SET [Name] = ?, [Description] = ?, [Color] = ?, [Tag] = ?, [Location] = ?, [Properties] = ? WHERE [CalendarId] = ? AND (([Name] = ?) OR ([Name] IS NULL AND ? IS NULL)) AND (([Description] = ?) OR ([Description] IS NULL AND ? IS NULL)) AND (([Color] = ?) OR ([Color] IS NULL AND ? IS NULL)) AND (([Tag] = ?) OR ([Tag] IS NULL AND ? IS NULL)) AND (([Location] = ?) OR ([Location] IS NULL AND ? IS NULL)) AND (([Properties] = ?) OR ([Properties] IS NULL AND ? IS NULL))">
                <DeleteParameters>
                    <asp:Parameter Name="original_CalendarId" Type="String" />
                    <asp:Parameter Name="original_Name" Type="String" />
                    <asp:Parameter Name="original_Name" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="CalendarId" Type="String" />
                    <asp:Parameter Name="Name" Type="String" />
                    <asp:Parameter Name="Description" Type="String" />
                    <asp:Parameter Name="Color" Type="String" />
                    <asp:Parameter Name="Tag" Type="String" />
                    <asp:Parameter Name="Location" Type="String" />
                    <asp:Parameter Name="Properties" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="Name" Type="String" />
                    <asp:Parameter Name="Description" Type="String" />
                    <asp:Parameter Name="Color" Type="String" />
                    <asp:Parameter Name="Tag" Type="String" />
                    <asp:Parameter Name="Location" Type="String" />
                    <asp:Parameter Name="Properties" Type="String" />
                    <asp:Parameter Name="original_CalendarId" Type="String" />
                    <asp:Parameter Name="original_Name" Type="String" />
                    <asp:Parameter Name="original_Name" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Description" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Color" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Tag" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Location" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                    <asp:Parameter Name="original_Properties" Type="String" />
                </UpdateParameters>
            </asp:SqlDataSource>
         <asp:Button ID="Button1" runat="server" Text="Refresh" OnClick="Button1_Click" />
        </div>
    </form>
</body>
</html>
